include/Zycore/API/Synchronization.h(3)

NAME
include/Zycore/API/Synchronization.h

SYNOPSIS

#include <Zycore/Defines.h>
#include <Zycore/Status.h>

  Functions

ZYCORE_EXPORT ZyanStatus ZyanCriticalSectionInitialize (ZyanCriticalSection *critical_section)
ZYCORE_EXPORT ZyanStatus ZyanCriticalSectionEnter (ZyanCriticalSection *critical_section)
ZYCORE_EXPORT ZyanBool ZyanCriticalSectionTryEnter (ZyanCriticalSection *critical_section)
ZYCORE_EXPORT ZyanStatus ZyanCriticalSectionLeave (ZyanCriticalSection *critical_section)
ZYCORE_EXPORT ZyanStatus ZyanCriticalSectionDelete (ZyanCriticalSection *critical_section)

Function Documentation

  ZYCORE_EXPORT ZyanStatus ZyanCriticalSectionDelete (ZyanCriticalSection * critical_section)
Deletes a critical section.

Parameters
    critical_section A pointer to the ZyanCriticalSection struct.

  ZYCORE_EXPORT ZyanStatus ZyanCriticalSectionEnter (ZyanCriticalSection * critical_section)
Enters a critical section.

Parameters
    critical_section A pointer to the ZyanCriticalSection struct.

  ZYCORE_EXPORT ZyanStatus ZyanCriticalSectionInitialize (ZyanCriticalSection * critical_section)
Initializes a critical section.

Parameters
    critical_section A pointer to the ZyanCriticalSection struct.

  ZYCORE_EXPORT ZyanStatus ZyanCriticalSectionLeave (ZyanCriticalSection * critical_section)
Leaves a critical section.

Parameters
    critical_section A pointer to the ZyanCriticalSection struct.

  ZYCORE_EXPORT ZyanBool ZyanCriticalSectionTryEnter (ZyanCriticalSection * critical_section)
Tries to enter a critical section.

Parameters
    critical_section A pointer to the ZyanCriticalSection struct.

Returns
    Returns ZYAN_TRUE if the critical section was successfully entered or ZYAN_FALSE, if not.

Author

Generated automatically by Doxygen for Zycore from the source code.